## NAME

r.to.rast3 - Converts 2D raster map slices to one 3D raster volume map.

## KEYWORDS

raster, conversion, voxel

## SYNOPSIS

r.to.rast3
r.to.rast3 --help
r.to.rast3 [-m] input=name[,name,...] output=name [tilesize=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-m
  Use 3D raster mask (if exists) with output map
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name[,name,...] [required]
  2D raster maps which represent the slices
output=name [required]
  Name for output 3D raster map
tilesize=integer
  The maximum tile size in kilo bytes. Default is 32KB.
  Default: 32

## DESCRIPTION

r.to.rast3 converts 2D raster map(s) into one raster3D map. It is important to properly set the 3D region settings, especially number or layers and depth of layers. If the 2D and 3D region settings are different, the 2D resolution will be adjusted to the 3D resolution.

How r.to.rast3 works

## NOTES

Every 2D raster map is copied as one slice to the raster3D map. Slices are counted from bottom to the top, so the bottom slice has to be number 1.
If less number of 2D raster maps are provided than defined depths, the last given 2D map is used to fill up the remaining raster3D slices to the top.

## EXAMPLES

### EXAMPLE 1

This example shows how to convert 6 maps into one 3D map with 6 layers.

    # Mapset data in dataset slovakia3d
    g.region raster=prec_1,prec_2,prec_3,prec_4,prec_5,prec_6 -p
    g.region b=0 t=600 tbres=100 res3=100 -p3
    r.to.rast3 input=prec_1,prec_2,prec_3,prec_4,prec_5,prec_6 output=new_3dmap

### EXAMPLE 2

This example shows how to convert 3 maps into one 3D map with 6 layers.

    # Mapset data in dataset slovakia3d
    g.region b=0 t=600 tbres=100 res3=100 -p3
    r.to.rast3 input=prec_1,prec_2,prec_3 output=new_3dmap

## SEE ALSO

g.region, r3.to.rast, r.to.rast3elev

## AUTHOR

Soeren Gebbert

## SOURCE CODE

Available at: r.to.rast3 source code (history)

Latest change: Tuesday Dec 17 20:17:20 2024 in commit: d962e90c026708a4815ea2b9f46c0e84c17de22d

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.1 Reference Manual